Package org.apache.catalina.valves

# Class AbstractAccessLogValve.ElapsedTimeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.ElapsedTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  AbstractAccessLogValve

protected static class AbstractAccessLogValve.ElapsedTimeElement extends Object implements AbstractAccessLogValve.AccessLogElement
write time taken to process the request - %D, %T

## Constructor Summary

Constructors
Constructor
Description
`ElapsedTimeElement(boolean millis)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElapsedTimeElement

public ElapsedTimeElement(boolean millis)

Parameters:
  `millis` - `true`, write time in millis - %D, if `false`, write time in seconds - %T

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`